/ingest-snapshot/custom-filtering-rules
1 min
POST
https://app.amberflo.io/ingest-snapshot/custom-filtering-rules
Body Parameters
- bodyingestion.s3_snapshot.filtering_rules.ByPropertyFilteringOutRule.in
- typestring
- idstring
- ingestionTimeRangeingestion.s3_snapshot.common.TimeRange.in
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- meterApiNamestring
- dimensionValuesMapmap<string, string[]>
Responses
200
- ingestion.s3_snapshot.filtering_rules.ByPropertyFilteringOutRule.out
- typestring
- idstring
- ingestionTimeRangeingestion.s3_snapshot.common.TimeRange.out
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- meterApiNamestring
- dimensionValuesMapmap<string, string[]>
curl
curl --request POST \
--url https://app.amberflo.io/ingest-snapshot/custom-filtering-rules \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/ingest-snapshot/custom-filtering-rules", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/ingest-snapshot/custom-filtering-rules")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/ingest-snapshot/custom-filtering-rules"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"type": "",
"id": "",
"ingestionTimeRange": {
"startTimeInSeconds": "",
"endTimeInSeconds": ""
},
"meterApiName": "",
"dimensionValuesMap": ""
}